MEMCMP(3)

NAME
memcmp - compare bytes in memory

LIBRARY
libc

SYNOPSIS
#include <string.h>
int
memcmp(const void *b1, const void *b2, size_t len);

DESCRIPTION
The memcmp() function compares byte object b1 against byte object b2. Both objects are assumed to be len bytes long.

RETURN VALUES
The memcmp() function returns zero if the two objects are identical. Zero-length objects are considered identical. The memcmp() function returns a negative value if the first differing byte has a lower value in b1 and a positive value if the first differing byte has a higher value in b1.

SEE ALSO
bcmp(3), strcasecmp(3), strcmp(3), strcoll(3), strxfrm(3), timingsafe_memcmp(3), wmemcmp(3)

STANDARDS
The memcmp() function conforms to isoC.

CAVEATS
If the objects differ, the C library memcmp() implementation returns the difference between the first two differing bytes (treated as unsigned char values). This behavior is not specified by isoC, is not portable, and may not occur in light of compiler optimizations.